<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Plugin Masters</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regio/pluginselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="plselform">
                        <table><tr>
                            <td>Id:</td>
                            <td><form:input path="pluginid"/></td>
                            <td>Class (FQCN):</td>
                            <td><form:input path="fqcn"/></td>
                            <td>JAR:</td>
                            <td><form:input path="jar"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="7">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP PluginList: check if there was something selected")}
                    <c:if test="${pllist.size() > 0}">
                        ${logg.mdata("JSP PluginList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Id</b></td>
                                <td><b>FQCN</b></td>
                                <td><b>JAR</b></td>
                                <td><b>Usage</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="pl" items="${pllist}">
                                <tr>
                                    <td>${pl.pluginid}</td>
                                    <td>${pl.fqcn}</td>
                                    <td>${pl.jar}</td>
                                    <td>${pl.pluginusage}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${pl.actionedit}">
                                            <form action="<c:url value = "/regio/pluginlist/edit/${ident.tourl(pl.pluginid)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${pl.actioncopy}">
                                            <form action="<c:url value = "/regio/pluginlist/copy/${ident.tourl(pl.pluginid)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${pl.actiondelete}">
                                            <form action="<c:url value = "/regio/pluginlist/delete/${ident.tourl(pl.pluginid)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>