<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.mdata("JSP MdAttrTemplateList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Attribute Templates</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/mdatlistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="atselform">
                        <table><tr>
                            <td>ID:</td>
                            <td><form:input path="id"/></td>
                            <td>Description:</td>
                            <td><form:input path="description"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP MdAttrTemplateList: check if there was templates selected")}
                    <c:if test="${atlist.size() > 0}">
                        ${logg.mdata("JSP MdAttrTemplateList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Template ID</b></td>
                                <td><b>Description</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="at" items="${atlist}">
                                <tr>
                                    <td>${at.id}</td>
                                    <td>${at.description}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${at.actionedit}">
                                            <form action="<c:url value = "/reporter/mdatlist/edit/${ident.tourl(at.id)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${at.actiondelete}">
                                            <form action="<c:url value = "/reporter/mdatlist/delete/${ident.tourl(at.id)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${at.actioncopy}">
                                            <form action="<c:url value = "/reporter/mdatlist/copy/${ident.tourl(at.id)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>