<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.rulem("JSP RuleDetailEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/reporter/jspf/LeftRuleDetailEdit.jspf" %>
                </div>
                <div class="divright">

                    
                    <p class="tdpause">Edit Rule Details:</p>      
                    
                    <!-- *****************************************************************
                    HEADER INFO 
                    ********************************************************************** -->
                    <table>
                        <tr>
                            <td><b>Rule Id:</b></td><td>${rdform.main.ruleid}</td>
                            <td><b>Description:</b></td><td>${rdform.main.description}</td>
                            <td><b>Rule type:</b></td><td>${rdform.main.ruletype}</td>
                        </tr>
                        <tr>
                            <td><b>${ident.wpt}:</b></td><td>${rdform.main.pottype}</td>
                            <td><b>${ident.wbt}:</b></td><td>${rdform.main.balltype}</td>
                            <td><b>${ident.wb} usage:</b></td><td>${rdform.main.ballusage}</td>
                        </tr>
                    </table>             
                    <br /><br />
                    
                    <!-- *****************************************************************
                    VARIABLES
                    ********************************************************************** -->
                    <!-- Variables header -->
                    <table>
                        <tr><td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/ocvariables"/>">
                                <c:if test="${rdform.showvariables}">
                                    <button type="submit">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!rdform.showvariables}">
                                    <button type="submit">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td><h2>Variables</h2></td>
                        <td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/newvariable"/>">
                                <button type="submit">New</button>
                            </form>
                        </td></tr>
                    </table>
                    
                    
                    <!-- Variables items -->
                   <c:if test="${rdform.variables.size() > 0 and rdform.showvariables}">
                        <table>
                            <tr>
                                <td><b>Name</b></td>
                                <td><b>Path</b></td>
                                <td></td><td></td>
                            </tr>
                            <c:forEach var="rv" items="${rdform.variables}">
                                <tr>
                                    <td>${rv.name}</td>
                                    <td>${rv.path}</td>
                                    <td> <!-- EDIT -->
                                        <c:if test="${rv.actionedit}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/variable/edit/${ident.tourl(rv.name)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    <td> <!-- DELETE -->
                                        <c:if test="${rv.actiondelete}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/variable/delete/${ident.tourl(rv.name)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </table>
                   </c:if>
                   <br />
                   
                   <!-- *****************************************************************
                    EXTERNS
                    ********************************************************************** -->
                    <!-- Externs header -->
                    <table>
                        <tr><td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/ocexterns"/>">
                                <c:if test="${rdform.showexterns}">
                                    <button type="submit">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!rdform.showexterns}">
                                    <button type="submit">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td><h2>External commands</h2></td>
                        <td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/newextern"/>">
                                <button type="submit">New</button>
                            </form>
                        </td></tr>
                    </table>
                    
                    <!-- Extern items -->
                   <c:if test="${rdform.externs.size() > 0 and rdform.showexterns}">
                        <table>
                            <tr>
                                <td><b>Name</b></td>
                                <td><b>Plugin Id</b></td>
                                <td><b>Method</b></td>
                                <td><b>Text</b></td>
                                <td></td><td></td>
                            </tr>
                            <c:forEach var="re" items="${rdform.externs}">
                                <tr>
                                    <td>${re.name}</td>
                                    <td>${re.extclass}</td>
                                    <td>${re.extmethod}</td>
                                    <td>${re.exttext}</td>
                                    <td> <!-- EDIT -->
                                        <c:if test="${re.actionedit}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/extern/edit/${ident.tourl(re.name)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    <td> <!-- DELETE -->
                                        <c:if test="${re.actiondelete}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/extern/delete/${ident.tourl(re.name)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </table>
                   </c:if>
                   <br />
                   
                   <!-- *****************************************************************
                    ALERTS
                    ********************************************************************** -->
                    <!-- Alerts header -->
                    <table>
                        <tr><td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/ocalerts"/>">
                                <c:if test="${rdform.showalerts}">
                                    <button type="submit">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!rdform.showalerts}">
                                    <button type="submit">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td><h2>Alerts</h2></td>
                        <td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/newalert"/>">
                                <button type="submit">New</button>
                            </form>
                        </td></tr>
                    </table>
                    
                    <!-- Alert items -->
                   <c:if test="${rdform.alerts.size() > 0 and rdform.showalerts}">
                        <table>
                            <tr>
                                <td><b>Name</b></td>
                                <td><b>Severity</b></td>
                                <td><b>Text</b></td>
                                <td><b>Target</b></td>
                                <td></td><td></td>
                            </tr>
                            <c:forEach var="ra" items="${rdform.alerts}">
                                <tr>
                                    <td>${ra.name}</td>
                                    <td>${ra.alertseverity}</td>
                                    <td>${ra.alerttext}</td>
                                    <td>${ra.alerttarget}</td>
                                    <td> <!-- EDIT -->
                                        <c:if test="${ra.actionedit}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/alert/edit/${ident.tourl(ra.name)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    <td> <!-- DELETE -->
                                        <c:if test="${ra.actiondelete}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/alert/delete/${ident.tourl(ra.name)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </table>
                   </c:if>
                   <br />
                   
                   <!-- *****************************************************************
                    STEPS
                    ********************************************************************** -->
                    <!-- Steps header -->
                    <table>
                        <tr><td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/ocsteps"/>">
                                <c:if test="${rdform.showsteps}">
                                    <button type="submit">${ident.ws.wclose}</button>
                                </c:if>
                                <c:if test="${!rdform.showsteps}">
                                    <button type="submit">${ident.ws.wopen}</button>
                                </c:if>
                            </form>
                        </td>
                        <td><h2>Steps</h2></td>
                        <td>
                            <form action="<c:url value = "/reporter/ruledetailnavi/newstep"/>">
                                <button type="submit">New</button>
                            </form>
                        </td></tr>
                    </table>
                    
                    <!-- Step items -->
                   <c:if test="${rdform.steps.size() > 0 and rdform.showsteps}">
                        <table>
                            <tr>
                                <td><b>Label</b></td>
                                <td><b>Constraint</b></td>
                                <td><b>Type</b></td>
                                <td><b>Action</b></td>
                                <td><b>True -></b></td>
                                <td><b>False -></b></td>
                                <td></td><td></td>
                            </tr>
                            <c:forEach var="rs" items="${rdform.steps}">
                                <tr>
                                    <td>${rs.label}</td>
                                    <td>${rs.sconstraint}</td>
                                    <td>${rs.actiontype}</td>
                                    <td>${rs.saction}</td>
                                    <td>${rs.nexttruelabel}</td>
                                    <td>${rs.nextfalselabel}</td>
                                    <td> <!-- EDIT -->
                                        <c:if test="${rs.actionedit}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/step/edit/${ident.tourl(rs.label)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    <td> <!-- DELETE -->
                                        <c:if test="${rs.actiondelete}">
                                            <form action="<c:url value = "/reporter/ruledetailrow/step/delete/${ident.tourl(rs.label)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </table>
                   </c:if>
                   <br />
                   
                   
                <!-- ***** END OF THE STUFF ***** -->
                </div>
            </div>

    </body>
</html>