<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.alert("JSP AlertTargetList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Alert Targets</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regioalert/alerttargetlistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="at">
                        <table><tr>
                            <td>Name:</td>
                            <td><form:input path="name"/></td>
                            <td>Description:</td>
                            <td><form:input path="description"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.alert("JSP AlertTargetList: check if there were targets selected")}
                    <c:if test="${atlist.size() > 0}">
                        ${logg.alert("JSP AlertTargetList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Name</b></td>
                                <td><b>Description</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="target" items="${atlist}">
                                <tr>
                                    <td>${target.name}</td>
                                    <td>${target.description}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${target.actionedit}">
                                            <form action="<c:url value = "/regioalert/targetlist/edit/${ident.tourl(target.name)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${target.actiondelete}">
                                            <form action="<c:url value = "/regioalert/targetlist/delete/${ident.tourl(target.name)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${target.actioncopy}">
                                            <form action="<c:url value = "/regioalert/targetlist/copy/${ident.tourl(target.name)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>