<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.mdata("JSP MdBTPTLinkList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>${ident.wbt} - ${ident.wpt} Links</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/mdbplistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="bpselform">
                        <table><tr>
                            <td>${ident.wbt}:</td>
                            <td><form:input path="balltype"/></td>
                            <td>${ident.wpt}:</td>
                            <td><form:input path="pottype"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP MdBTPTLinkList: check if there was links selected")}
                    <c:if test="${bplist.size() > 0}">
                        ${logg.mdata("JSP MdBTPTLinkList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>${ident.wbt}</b></td>
                                <td><b>${ident.wpt}</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="bp" items="${bplist}">
                                <tr>
                                    <td>${bp.balltype}</td>
                                    <td>${bp.pottype}</td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${bp.actiondelete}">
                                            <form action="<c:url value = "/reporter/mdbplist/delete/${ident.tourl(bp.balltype)}/${ident.tourl(bp.pottype)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>