<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Audit Log</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/regio/ok/auditlogselform" />
                    <form:form action="${ok_url}" method="post" modelAttribute="aulselform">
                        <table><tr>
                            <td>Object type:</td>
                            <td><form:select path="objecttype">
                                    <form:options items = "${otlist}" />
                                </form:select></td>
                            <td>User name:</td>
                            <td><form:input path="username"/></td>
                            <td></td><td></td>
                        </tr>
                        <tr>
                            <td>Logs from:</td>
                            <td><form:input path="from"/></td>
                            <td>to:</td>
                            <td><form:input path="to"/></td>
                            <td></td><td></td>
                        </tr>
                        <tr>
                            <td>Key 0:</td>
                            <td><form:input path="key0"/></td>
                            <td>Key 1:</td>
                            <td><form:input path="key1"/></td>
                            <td>Key 2:</td>
                            <td><form:input path="key2"/></td>
                        </tr>
                        <tr>
                            <td>Key 3:</td>
                            <td><form:input path="key3"/></td>
                            <td>Key 4:</td>
                            <td><form:input path="key4"/></td>
                            <td></td>
                            <td></td>
                        </tr>
                        <tr><td><button type="submit">${ident.ws.wok}</button></td></tr>
                        <tr>
                            <td colspan="6">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    <c:if test="${aullist.sellist.size() > 0}">
                        <table>
                        
                            <tr>
                                <td><b>Timestamp</b></td>
                                <td><b>Object type</b></td>
                                <td><b>Key 0</b></td>
                                <td><b>Key 1</b></td>
                                <td><b>Key 2</b></td>
                                <td><b>Key 3</b></td>
                                <td><b>Key 4</b></td>
                                <td><b>Action</b></td>
                                <td><b>User</b></td>
                                <td><b>Info</b></td>
                            </tr>
                            
                            <c:forEach var="log" items="${aullist.sellist}">
                                <tr>
                                    <td>${log.timestamp}</td>
                                    <td>${log.objecttype}</td>
                                    <td>${log.key0}</td>
                                    <td>${log.key1}</td>
                                    <td>${log.key2}</td>
                                    <td>${log.key3}</td>
                                    <td>${log.key4}</td>
                          			<td>${log.saction}</td>
                          			<td>${log.username}</td>
                          			<td>${log.info}</td>
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>