<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDatabase.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Please enter the database parameters:</p>
                    
                    <c:url var="ok_url"  value="/config/configreceivedatabase/save" />
                    <c:url var="cancel_url"  value="/config/configreceivedatabase/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="dbf">
                        <form:hidden path="newdb"/>
                        <table>
                        
                            <!-- *************************************************************************** -->
                            <!-- Database name -->
                            <!-- *************************************************************************** -->
                            <tr><td class="tdlabel">Name:</td>
                                <c:if test="${dbf.newdb == true}">
                                    <td><form:input path="dbname"/></td>
                                </c:if>
                                <c:if test="${dbf.newdb == false}">
                                    <form:hidden path="dbname"/>
                                    <td>${dbf.dbname}</td>
                                </c:if>
                            </tr>
                            <tr><td class="tdlabel"></td>
                                <c:if test="${dbf.newdb == true}">
                                    <td>Name can contain only A-Z, a-z, 0-9, - and _</td>
                                </c:if>
                            </tr>
                            
                            <!-- *************************************************************************** -->
                            <!-- Description -->
                            <!-- *************************************************************************** -->
                            <tr><td class="tdlabel">Description:</td><td><form:input path="dbdescription"/></td></tr>
                            
                            <!-- *************************************************************************** -->
                            <!-- Database type -->
                            <!-- *************************************************************************** -->
                            <tr><td class="tdlabel">Type:</td>
                                <c:if test="${dbf.newdb == true}">
                                    <td>
                                        <form:select path="dbtype">
                                            <form:options items = "${dbtypes}" />
                                        </form:select>
                                    </td>
                                </c:if>
                                <c:if test="${dbf.newdb == false}">
                                    <form:hidden path="dbtype"/>
                                    <td>${dbf.dbtype}</td>
                                </c:if>
                            </tr>
                            
                            <!-- *************************************************************************** -->
                            <!-- Connection details -->
                            <!-- *************************************************************************** -->
                            <tr><td class="tdlabel">Driver:</td><td><form:input path="dbdriver"/></td></tr>
                            <tr><td class="tdlabel">Prefix:</td><td><form:input path="dbprefix"/></td></tr>
                            <tr><td class="tdlabel">Server:</td><td><form:input path="dbserver"/></td></tr>
                            <tr><td class="tdlabel">Connection string:</td><td><form:input path="dbconnstr"/></td></tr>
                            <tr><td class="tdlabel">Schema:</td>
                                <c:if test="${dbf.newdb == true}">
                                    <td><form:input path="dbschema"/></td>
                                </c:if>
                                <c:if test="${dbf.newdb == false}">
                                    <form:hidden path="dbschema"/>
                                    <td>${dbf.dbschema}</td>
                                </c:if>
                            </tr>
                            <tr><td class="tdlabel">User:</td><td><form:input path="dbuser"/></td></tr>
                            <tr><td class="tdlabel">Password:</td><td><form:password path="dbpassword"/></td></tr>
                            <tr><td class="tdlabel">Partner (alien) DB?:</td>
                                <c:if test="${dbf.newdb == true}">
                                    <td><form:checkbox path="alien" value="false"/></td>
                                </c:if>
                                <c:if test="${dbf.newdb == false}">
                                    <form:hidden path="alien"/>
                                    <td>${dbf.alien}</td>
                                </c:if>
                            </tr>
                        
                        </table>
                    
                        <button type="submit">${ident.ws.wdone}</button>
                        <button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button>
                    </form:form>
                    
                </div>
            </div>
    </body>
</html>