<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDbMaintain.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Maintenance of ${dmf.target}</p>
                    
                    <c:url var="ok_url"  value="/config/configreceivedbmaintain/save" />
                    <c:url var="cancel_url"  value="/config/configreceivedbmaintain/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="dmf">
                        <form:hidden path="target"/>
                        <table>
                        
                            <c:if test="${dmf.canformat}">
                                <tr><td class="tdlabel tdpause">Format (Create SYGR tables)</td><td><form:checkbox path="format" value="false"/></td></tr>
                                <tr><td class="tdlabel">Copy configuration</td><td><form:checkbox path="config" value="false"/></td></tr>
                            </c:if>
                            <c:if test="${!dmf.canformat}">
                                <tr><td class="tdlabel tdpause">Copy configuration</td><td><form:checkbox path="config" value="false"/></td></tr>
                            </c:if>
                            <tr><td class="tdlabel">Copy master data (${ident.wpts}, etc)</td><td><form:checkbox path="master" value="false"/></td></tr>
                            <tr><td class="tdlabel tdpause">Copy transactional data (${ident.wps}, ${ident.wbs}, etc)</td><td><form:checkbox path="transaction" value="false"/></td></tr>
                            <tr><td class="tdlabel">Clear target tables</td><td><form:checkbox path="clear" value="false"/></td></tr>
                            <tr><td class="tdlabel tdpause">Package size:</td><td><form:input path="size"/></td></tr>
                            <tr><td class="tdlabel">Source database:</td><td>
                                <form:select path="source">
                                    <form:options items = "${dblist}" />
                                </form:select>
                            </td></tr>
                        
                        </table>
                    
                        <button type="submit">${ident.ws.wok}</button>
                        <button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button>
                    </form:form>
                    
                </div>
            </div>
    </body>
</html>