<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.mdata("JSP MsgConvList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Catcher - Message Converter / Sync Formatter Links</h2>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP MsgConvList: check if there was something selected")}
                    <c:if test="${mclist.size() > 0}">
                        ${logg.mdata("JSP MsgConvList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Catcher Name</b></td>
                                <td><b>Description</b></td>
                                <td><b>System ID</b></td>
                                <td><b>Status</b></td>
                                <td><b>Plugin ID</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="mc" items="${mclist}">
                                <tr>
                                    <td>${mc.sysname}</td>
                                    <td>${mc.description}</td>
                                    <td>${mc.sysid}</td>
                                    <td>${mc.sysstatus}</td>
                                    <td>${mc.pluginid}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${mc.actionedit}">
                                            <form action="<c:url value = "/regio/msgconvlist/edit/${ident.tourl(mc.sysid)}/${ident.tourl(mc.pluginid)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${mc.actioncopy}">
                                            <form action="<c:url value = "/regio/msgconvlist/copy/${ident.tourl(mc.sysid)}/${ident.tourl(mc.pluginid)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${mc.actiondelete}">
                                            <form action="<c:url value = "/regio/msgconvlist/delete/${ident.tourl(mc.sysid)}/${ident.tourl(mc.pluginid)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>