<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.mdata("JSP MdPotTypeList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>${ident.wpts}</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/mdptlistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="ptselform">
                        <table><tr>
                            <td>${ident.wt}</td>
                            <td><form:input path="type"/></td>
                            <td>Description:</td>
                            <td><form:input path="description"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.mdata("JSP MdPotTypeList: check if there was ${ident.wpt} selected")}
                    <c:if test="${ptlist.size() > 0}">
                        ${logg.mdata("JSP MdPotTypeList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>${ident.wpt}</b></td>
                                <td><b>Description</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="pt" items="${ptlist}">
                                <tr>
                                    <td>${pt.type}</td>
                                    <td>${pt.description}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${pt.actionedit}">
                                            <form action="<c:url value = "/reporter/mdptlist/edit/${ident.tourl(pt.id)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${pt.actiondelete}">
                                            <form action="<c:url value = "/reporter/mdptlist/delete/${ident.tourl(pt.id)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${pt.actioncopy}">
                                            <form action="<c:url value = "/reporter/mdptlist/copy/${ident.tourl(pt.id)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>